# Uses of Class
org.apache.sysds.runtime.io.FileFormatPropertiesCSV

Packages that use FileFormatPropertiesCSV
Package
Description
org.apache.sysds.runtime.instructions.spark.utils
org.apache.sysds.runtime.io

## Uses of FileFormatPropertiesCSV in org.apache.sysds.runtime.instructions.spark.utils

Methods in org.apache.sysds.runtime.instructions.spark.utils with parameters of type FileFormatPropertiesCSV
Modifier and Type
Method
Description
`static org.apache.spark.api.java.JavaRDD<String>`
FrameRDDConverterUtils.`binaryBlockToCsv(org.apache.spark.api.java.JavaPairRDD<Long,FrameBlock> in, DataCharacteristics mcIn, FileFormatPropertiesCSV props, boolean strict)`
`static org.apache.spark.api.java.JavaRDD<String>`
RDDConverterUtils.`binaryBlockToCsv(org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,MatrixBlock> in, DataCharacteristics mcIn, FileFormatPropertiesCSV props, boolean strict)`

## Uses of FileFormatPropertiesCSV in org.apache.sysds.runtime.io

Constructors in org.apache.sysds.runtime.io with parameters of type FileFormatPropertiesCSV
Modifier
Constructor
Description
``
`FrameReaderTextCSV(FileFormatPropertiesCSV props)`
``
`FrameReaderTextCSVParallel(FileFormatPropertiesCSV props)`
``
`FrameWriterTextCSV(FileFormatPropertiesCSV props)`
``
`FrameWriterTextCSVParallel(FileFormatPropertiesCSV props)`
``
`ReaderTextCSV(FileFormatPropertiesCSV props)`
``
`ReaderTextCSVParallel(FileFormatPropertiesCSV props)`
``
`WriterTextCSV(FileFormatPropertiesCSV props)`
``
`WriterTextCSVParallel(FileFormatPropertiesCSV props)`